Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class TransparencyDisallowedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.fop.pdf.PDFConformanceException
                      org.apache.fop.pdf.TransparencyDisallowedException

All Implemented Interfaces:
  java.io.Serializable

    public class TransparencyDisallowedException

extends PDFConformanceException

The PDF profile being used does not allow transparency.

See Also:
  Serialized Form

Constructor Summary
`TransparencyDisallowedException(java.lang.Object profile, java.lang.String context)`

Method Summary
`java.lang.String` | `getContext()` Returns context information to help spotting the problem.
`java.lang.Object` | `getProfile()` Returns the profile that is being used and disallows transparency.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransparencyDisallowedException

    public TransparencyDisallowedException(java.lang.Object profile,
                                           java.lang.String context)

Method Detail

### getProfile

    public java.lang.Object getProfile()

  Returns the profile that is being used and disallows transparency.

  See Also:
    `PDFAMode`, `PDFXMode`

### getContext

    public java.lang.String getContext()

  Returns context information to help spotting the problem.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.